-- FIXME: Only temporary until real screen is implemented
--        in C++.

local book_hud_items_script = assert( loadfile( "hud/Book/items.lua" ) )

-- Ensure that we will go directly to the scene
main_loop_target_mode = "game_screen"

--InitializeGameState()

MakeDialog
{
    name="map_menu",
    MapMenu {
        x = 0,
        y = 0,
        w = kMax,
        h = kMax,

        scenes = dofile( "map_menu/scenes.lua" ),
        sound = dofile( "map_menu/sound.lua" ),
        scene_items = dofile( "map_menu/scene_items.lua" ),
        gm_items = dofile( "map_menu/gm_items.lua" ),
        gm_items_animations = dofile( "map_menu/gm_animations.lua" ),
        scene_items_overlay = dofile( "map_menu/scene_items_overlay.lua" ),
        scene_items_animations = dofile( "map_menu/scene_animations.lua" ),
        
        book_hud_items = dofile( "hud/Book/items.lua" ),
        characters_items = dofile( "hud/characters.lua" ),
        
        tutor_items = dofile( "hud/tutor.lua" ),
        
        common_dialogues = dofile( "screens/common/dialogues.lua" ),
        dialogue_templates = dofile( "hud/dialogue_templates.lua" ),

        visits = dofile( "map_menu/visits.lua" ),
    },


}
